Upstream information

CVE-2020-15567 at MITRE

Description

An issue was discovered in Xen through 4.13.x, allowing Intel guest OS users to gain privileges or cause a denial of service because of non-atomic modification of a live EPT PTE. When mapping guest EPT (nested paging) tables, Xen would in some circumstances use a series of non-atomic bitfield writes. Depending on the compiler version and optimisation flags, Xen might expose a dangerous partially written PTE to the hardware, which an attacker might be able to race to exploit. A guest administrator or perhaps even an unprivileged guest user might be able to cause denial of service, data corruption, or privilege escalation. Only systems using Intel CPUs are vulnerable. Systems using AMD CPUs, and Arm systems, are not vulnerable. Only systems using nested paging (hap, aka nested paging, aka in this case Intel EPT) are vulnerable. Only HVM and PVH guests can exploit the vulnerability. The presence and scope of the vulnerability depends on the precise optimisations performed by the compiler used to build Xen. If the compiler generates (a) a single 64-bit write, or (b) a series of read-modify-write operations in the same order as the source code, the hypervisor is not vulnerable. For example, in one test build using GCC 8.3 with normal settings, the compiler generated multiple (unlocked) read-modify-write operations in source-code order, which did not constitute a vulnerability. We have not been able to survey compilers; consequently we cannot say which compiler(s) might produce vulnerable code (with which code-generation options). The source code clearly violates the C rules, and thus should be considered vulnerable.

SUSE information

Overall state of this security issue: Running

This issue is currently rated as having moderate severity.

CVSS v2 Scores
  National Vulnerability Database
Base Score 4.4
Vector AV:L/AC:M/Au:N/C:P/I:P/A:P
Access Vector Local
Access Complexity Medium
Authentication None
Confidentiality Impact Partial
Integrity Impact Partial
Availability Impact Partial
CVSS v3 Scores
  National Vulnerability Database SUSE
Base Score 7.8 6.4
Vector CVSS:3.1/AV:L/AC:H/PR:L/UI:N/S:C/C:H/I:H/A:H CVSS:3.1/AV:L/AC:H/PR:L/UI:N/S:C/C:N/I:L/A:H
Access Vector Local Local
Access Complexity High High
Privileges Required Low Low
User Interaction None None
Scope Changed Changed
Confidentiality Impact High None
Integrity Impact High Low
Availability Impact High High
CVSSv3 Version 3.1 3.1
SUSE Bugzilla entry: 1173380 [NEW]

SUSE Security Advisories:

List of released packages

Product(s) Fixed package version(s) References
HPE Helion Openstack 8
  • xen >= 4.9.4_08-3.66.1
  • xen-doc-html >= 4.9.4_08-3.66.1
  • xen-libs >= 4.9.4_08-3.66.1
  • xen-libs-32bit >= 4.9.4_08-3.66.1
  • xen-tools >= 4.9.4_08-3.66.1
  • xen-tools-domU >= 4.9.4_08-3.66.1
Patchnames:
HPE-Helion-OpenStack-8-2020-1886
Image SLES15-EC2-CHOST-HVM-BYOS
  • xen-libs >= 4.10.4_12-3.35.1
  • xen-tools-domU >= 4.10.4_12-3.35.1
Image SLES15-SP1-CHOST-BYOS-EC2
  • xen-libs >= 4.12.3_04-3.22.1
  • xen-tools-domU >= 4.12.3_04-3.22.1
Image SLES15-SP2-CHOST-BYOS-Ali
Image SLES15-SP2-CHOST-BYOS-Azure
Image SLES15-SP2-CHOST-BYOS-GCE
Image SLES15-SP2-CHOST-BYOS-OpenStack
  • xen-libs >= 4.13.1_04-3.4.1
Image SLES15-SP2-CHOST-BYOS-EC2
  • xen-libs >= 4.13.1_04-3.4.1
  • xen-tools-domU >= 4.13.1_04-3.4.1
SUSE Enterprise Storage 5
  • xen >= 4.9.4_08-3.66.1
  • xen-doc-html >= 4.9.4_08-3.66.1
  • xen-libs >= 4.9.4_08-3.66.1
  • xen-libs-32bit >= 4.9.4_08-3.66.1
  • xen-tools >= 4.9.4_08-3.66.1
  • xen-tools-domU >= 4.9.4_08-3.66.1
Patchnames:
SUSE-Storage-5-2020-1886
SUSE Linux Enterprise High Performance Computing 15-ESPOS
SUSE Linux Enterprise High Performance Computing 15-LTSS
  • xen >= 4.10.4_12-3.35.1
  • xen-devel >= 4.10.4_12-3.35.1
  • xen-libs >= 4.10.4_12-3.35.1
  • xen-tools >= 4.10.4_12-3.35.1
  • xen-tools-domU >= 4.10.4_12-3.35.1
Patchnames:
SUSE-SLE-Product-HPC-15-2020-1888
SUSE Linux Enterprise Module for Basesystem 15 SP1
  • xen >= 4.12.3_04-3.22.1
  • xen-libs >= 4.12.3_04-3.22.1
  • xen-tools-domU >= 4.12.3_04-3.22.1
Patchnames:
SUSE-SLE-Module-Basesystem-15-SP1-2020-1889
SUSE Linux Enterprise Module for Basesystem 15 SP2
  • xen >= 4.13.1_04-3.4.1
  • xen-libs >= 4.13.1_04-3.4.1
  • xen-tools-domU >= 4.13.1_04-3.4.1
Patchnames:
SUSE-SLE-Module-Basesystem-15-SP2-2020-1902
SUSE Linux Enterprise Module for Open Buildservice Development Tools 15 SP1
  • xen >= 4.12.3_04-3.22.1
  • xen-devel >= 4.12.3_04-3.22.1
  • xen-doc-html >= 4.12.3_04-3.22.1
  • xen-libs >= 4.12.3_04-3.22.1
  • xen-libs-32bit >= 4.12.3_04-3.22.1
  • xen-tools >= 4.12.3_04-3.22.1
  • xen-tools-domU >= 4.12.3_04-3.22.1
Patchnames:
SUSE-SLE-Module-Development-Tools-OBS-15-SP1-2020-1889
SUSE Linux Enterprise Module for Open Buildservice Development Tools 15 SP2
  • xen >= 4.13.1_04-3.4.1
  • xen-devel >= 4.13.1_04-3.4.1
  • xen-doc-html >= 4.13.1_04-3.4.1
  • xen-libs >= 4.13.1_04-3.4.1
  • xen-libs-32bit >= 4.13.1_04-3.4.1
  • xen-tools >= 4.13.1_04-3.4.1
  • xen-tools-domU >= 4.13.1_04-3.4.1
Patchnames:
SUSE-SLE-Module-Development-Tools-OBS-15-SP2-2020-1902
SUSE Linux Enterprise Module for Server Applications 15 SP1
  • xen >= 4.12.3_04-3.22.1
  • xen-devel >= 4.12.3_04-3.22.1
  • xen-tools >= 4.12.3_04-3.22.1
Patchnames:
SUSE-SLE-Module-Server-Applications-15-SP1-2020-1889
SUSE Linux Enterprise Module for Server Applications 15 SP2
  • xen >= 4.13.1_04-3.4.1
  • xen-devel >= 4.13.1_04-3.4.1
  • xen-tools >= 4.13.1_04-3.4.1
  • xen-tools-xendomains-wait-disk >= 4.13.1_04-3.4.1
Patchnames:
SUSE-SLE-Module-Server-Applications-15-SP2-2020-1902
SUSE Linux Enterprise Point of Sale 12 SP2-CLIENT
  • xen >= 4.7.6_10-43.67.1
  • xen-doc-html >= 4.7.6_10-43.67.1
  • xen-libs >= 4.7.6_10-43.67.1
  • xen-libs-32bit >= 4.7.6_10-43.67.1
  • xen-tools >= 4.7.6_10-43.67.1
  • xen-tools-domU >= 4.7.6_10-43.67.1
Patchnames:
SUSE-SLE-POS-12-SP2-CLIENT-2020-2822
SUSE Linux Enterprise Server 11 SP4-LTSS
SUSE Linux Enterprise Server for SAP Applications 11 SP4-LTSS
  • xen >= 4.4.4_44-61.55.1
  • xen-doc-html >= 4.4.4_44-61.55.1
  • xen-kmp-default >= 4.4.4_44_3.0.101_108.117-61.55.1
  • xen-kmp-pae >= 4.4.4_44_3.0.101_108.117-61.55.1
  • xen-libs >= 4.4.4_44-61.55.1
  • xen-libs-32bit >= 4.4.4_44-61.55.1
  • xen-tools >= 4.4.4_44-61.55.1
  • xen-tools-domU >= 4.4.4_44-61.55.1
Patchnames:
slessp4-xen-14521
SUSE Linux Enterprise Server 12 SP2-BCL
SUSE Linux Enterprise Server for SAP Applications 12 SP2-BCL
  • xen >= 4.7.6_10-43.67.1
  • xen-doc-html >= 4.7.6_10-43.67.1
  • xen-libs >= 4.7.6_10-43.67.1
  • xen-libs-32bit >= 4.7.6_10-43.67.1
  • xen-tools >= 4.7.6_10-43.67.1
  • xen-tools-domU >= 4.7.6_10-43.67.1
Patchnames:
SUSE-SLE-SERVER-12-SP2-BCL-2020-2822
SUSE Linux Enterprise Server 12 SP2-ESPOS
SUSE Linux Enterprise Server for SAP Applications 12 SP2-ESPOS
  • xen >= 4.7.6_10-43.67.1
  • xen-doc-html >= 4.7.6_10-43.67.1
  • xen-libs >= 4.7.6_10-43.67.1
  • xen-libs-32bit >= 4.7.6_10-43.67.1
  • xen-tools >= 4.7.6_10-43.67.1
  • xen-tools-domU >= 4.7.6_10-43.67.1
Patchnames:
SUSE-SLE-SERVER-12-SP2-ESPOS-2020-2822
SUSE Linux Enterprise Server 12 SP2-LTSS
SUSE Linux Enterprise Server for SAP Applications 12 SP2-LTSS
  • xen >= 4.7.6_10-43.67.1
  • xen-doc-html >= 4.7.6_10-43.67.1
  • xen-libs >= 4.7.6_10-43.67.1
  • xen-libs-32bit >= 4.7.6_10-43.67.1
  • xen-tools >= 4.7.6_10-43.67.1
  • xen-tools-domU >= 4.7.6_10-43.67.1
Patchnames:
SUSE-SLE-SERVER-12-SP2-2020-2822
SUSE Linux Enterprise Server 12 SP3-BCL
SUSE Linux Enterprise Server for SAP Applications 12 SP3-BCL
  • xen >= 4.9.4_08-3.66.1
  • xen-doc-html >= 4.9.4_08-3.66.1
  • xen-libs >= 4.9.4_08-3.66.1
  • xen-libs-32bit >= 4.9.4_08-3.66.1
  • xen-tools >= 4.9.4_08-3.66.1
  • xen-tools-domU >= 4.9.4_08-3.66.1
Patchnames:
SUSE-SLE-SERVER-12-SP3-BCL-2020-1886
SUSE Linux Enterprise Server 12 SP3-ESPOS
SUSE Linux Enterprise Server for SAP Applications 12 SP3-ESPOS
  • xen >= 4.9.4_08-3.66.1
  • xen-doc-html >= 4.9.4_08-3.66.1
  • xen-libs >= 4.9.4_08-3.66.1
  • xen-libs-32bit >= 4.9.4_08-3.66.1
  • xen-tools >= 4.9.4_08-3.66.1
  • xen-tools-domU >= 4.9.4_08-3.66.1
Patchnames:
SUSE-SLE-SERVER-12-SP3-ESPOS-2020-1886
SUSE Linux Enterprise Server 12 SP3-LTSS
SUSE Linux Enterprise Server for SAP Applications 12 SP3-LTSS
  • xen >= 4.9.4_08-3.66.1
  • xen-doc-html >= 4.9.4_08-3.66.1
  • xen-libs >= 4.9.4_08-3.66.1
  • xen-libs-32bit >= 4.9.4_08-3.66.1
  • xen-tools >= 4.9.4_08-3.66.1
  • xen-tools-domU >= 4.9.4_08-3.66.1
Patchnames:
SUSE-SLE-SERVER-12-SP3-2020-1886
SUSE Linux Enterprise Server 12 SP4-ESPOS
SUSE Linux Enterprise Server for SAP Applications 12 SP4-ESPOS
  • xen >= 4.11.4_04-2.30.1
  • xen-doc-html >= 4.11.4_04-2.30.1
  • xen-libs >= 4.11.4_04-2.30.1
  • xen-libs-32bit >= 4.11.4_04-2.30.1
  • xen-tools >= 4.11.4_04-2.30.1
  • xen-tools-domU >= 4.11.4_04-2.30.1
Patchnames:
SUSE-SLE-SERVER-12-SP4-ESPOS-2020-1891
SUSE Linux Enterprise Server 12 SP4-LTSS
SUSE Linux Enterprise Server for SAP Applications 12 SP4-LTSS
  • xen >= 4.11.4_04-2.30.1
  • xen-doc-html >= 4.11.4_04-2.30.1
  • xen-libs >= 4.11.4_04-2.30.1
  • xen-libs-32bit >= 4.11.4_04-2.30.1
  • xen-tools >= 4.11.4_04-2.30.1
  • xen-tools-domU >= 4.11.4_04-2.30.1
Patchnames:
SUSE-SLE-SERVER-12-SP4-LTSS-2020-1891
SUSE Linux Enterprise Server 12 SP5
SUSE Linux Enterprise Server for SAP Applications 12 SP5
  • xen >= 4.12.3_04-3.18.1
  • xen-doc-html >= 4.12.3_04-3.18.1
  • xen-libs >= 4.12.3_04-3.18.1
  • xen-libs-32bit >= 4.12.3_04-3.18.1
  • xen-tools >= 4.12.3_04-3.18.1
  • xen-tools-domU >= 4.12.3_04-3.18.1
Patchnames:
SUSE-SLE-SERVER-12-SP5-2020-1887
SUSE Linux Enterprise Server 15-LTSS
  • xen >= 4.10.4_12-3.35.1
  • xen-devel >= 4.10.4_12-3.35.1
  • xen-libs >= 4.10.4_12-3.35.1
  • xen-tools >= 4.10.4_12-3.35.1
  • xen-tools-domU >= 4.10.4_12-3.35.1
Patchnames:
SUSE-SLE-Product-SLES-15-2020-1888
SUSE Linux Enterprise Server for SAP Applications 12 SP2
  • xen >= 4.7.6_10-43.67.1
  • xen-doc-html >= 4.7.6_10-43.67.1
  • xen-libs >= 4.7.6_10-43.67.1
  • xen-libs-32bit >= 4.7.6_10-43.67.1
  • xen-tools >= 4.7.6_10-43.67.1
  • xen-tools-domU >= 4.7.6_10-43.67.1
Patchnames:
SUSE-SLE-SAP-12-SP2-2020-2822
SUSE Linux Enterprise Server for SAP Applications 12 SP3
  • xen >= 4.9.4_08-3.66.1
  • xen-doc-html >= 4.9.4_08-3.66.1
  • xen-libs >= 4.9.4_08-3.66.1
  • xen-libs-32bit >= 4.9.4_08-3.66.1
  • xen-tools >= 4.9.4_08-3.66.1
  • xen-tools-domU >= 4.9.4_08-3.66.1
Patchnames:
SUSE-SLE-SAP-12-SP3-2020-1886
SUSE Linux Enterprise Server for SAP Applications 12 SP4
  • xen >= 4.11.4_04-2.30.1
  • xen-doc-html >= 4.11.4_04-2.30.1
  • xen-libs >= 4.11.4_04-2.30.1
  • xen-libs-32bit >= 4.11.4_04-2.30.1
  • xen-tools >= 4.11.4_04-2.30.1
  • xen-tools-domU >= 4.11.4_04-2.30.1
Patchnames:
SUSE-SLE-SAP-12-SP4-2020-1891
SUSE Linux Enterprise Server for SAP Applications 15
  • xen >= 4.10.4_12-3.35.1
  • xen-devel >= 4.10.4_12-3.35.1
  • xen-libs >= 4.10.4_12-3.35.1
  • xen-tools >= 4.10.4_12-3.35.1
  • xen-tools-domU >= 4.10.4_12-3.35.1
Patchnames:
SUSE-SLE-Product-SLES_SAP-15-2020-1888
SUSE Linux Enterprise Software Development Kit 12 SP5
  • xen >= 4.12.3_04-3.18.1
  • xen-devel >= 4.12.3_04-3.18.1
Patchnames:
SUSE-SLE-SDK-12-SP5-2020-1887
SUSE OpenStack Cloud 7
  • xen >= 4.7.6_10-43.67.1
  • xen-doc-html >= 4.7.6_10-43.67.1
  • xen-libs >= 4.7.6_10-43.67.1
  • xen-libs-32bit >= 4.7.6_10-43.67.1
  • xen-tools >= 4.7.6_10-43.67.1
  • xen-tools-domU >= 4.7.6_10-43.67.1
Patchnames:
SUSE-OpenStack-Cloud-7-2020-2822
SUSE OpenStack Cloud 8
  • xen >= 4.9.4_08-3.66.1
  • xen-doc-html >= 4.9.4_08-3.66.1
  • xen-libs >= 4.9.4_08-3.66.1
  • xen-libs-32bit >= 4.9.4_08-3.66.1
  • xen-tools >= 4.9.4_08-3.66.1
  • xen-tools-domU >= 4.9.4_08-3.66.1
Patchnames:
SUSE-OpenStack-Cloud-8-2020-1886
SUSE OpenStack Cloud 9
  • xen >= 4.11.4_04-2.30.1
  • xen-doc-html >= 4.11.4_04-2.30.1
  • xen-libs >= 4.11.4_04-2.30.1
  • xen-libs-32bit >= 4.11.4_04-2.30.1
  • xen-tools >= 4.11.4_04-2.30.1
  • xen-tools-domU >= 4.11.4_04-2.30.1
Patchnames:
SUSE-OpenStack-Cloud-9-2020-1891
SUSE OpenStack Cloud Crowbar 8
  • xen >= 4.9.4_08-3.66.1
  • xen-doc-html >= 4.9.4_08-3.66.1
  • xen-libs >= 4.9.4_08-3.66.1
  • xen-libs-32bit >= 4.9.4_08-3.66.1
  • xen-tools >= 4.9.4_08-3.66.1
  • xen-tools-domU >= 4.9.4_08-3.66.1
Patchnames:
SUSE-OpenStack-Cloud-Crowbar-8-2020-1886
SUSE OpenStack Cloud Crowbar 9
  • xen >= 4.11.4_04-2.30.1
  • xen-doc-html >= 4.11.4_04-2.30.1
  • xen-libs >= 4.11.4_04-2.30.1
  • xen-libs-32bit >= 4.11.4_04-2.30.1
  • xen-tools >= 4.11.4_04-2.30.1
  • xen-tools-domU >= 4.11.4_04-2.30.1
Patchnames:
SUSE-OpenStack-Cloud-Crowbar-9-2020-1891
openSUSE Leap 15.1
  • xen >= 4.12.3_04-lp151.2.21.1
  • xen-debugsource >= 4.12.3_04-lp151.2.21.1
  • xen-devel >= 4.12.3_04-lp151.2.21.1
  • xen-doc-html >= 4.12.3_04-lp151.2.21.1
  • xen-libs >= 4.12.3_04-lp151.2.21.1
  • xen-libs-32bit >= 4.12.3_04-lp151.2.21.1
  • xen-libs-32bit-debuginfo >= 4.12.3_04-lp151.2.21.1
  • xen-libs-debuginfo >= 4.12.3_04-lp151.2.21.1
  • xen-tools >= 4.12.3_04-lp151.2.21.1
  • xen-tools-debuginfo >= 4.12.3_04-lp151.2.21.1
  • xen-tools-domU >= 4.12.3_04-lp151.2.21.1
  • xen-tools-domU-debuginfo >= 4.12.3_04-lp151.2.21.1
Patchnames:
openSUSE-2020-965
openSUSE Leap 15.2
  • xen >= 4.13.1_04-lp152.2.3.1
  • xen-debugsource >= 4.13.1_04-lp152.2.3.1
  • xen-devel >= 4.13.1_04-lp152.2.3.1
  • xen-doc-html >= 4.13.1_04-lp152.2.3.1
  • xen-libs >= 4.13.1_04-lp152.2.3.1
  • xen-libs-32bit >= 4.13.1_04-lp152.2.3.1
  • xen-libs-32bit-debuginfo >= 4.13.1_04-lp152.2.3.1
  • xen-libs-debuginfo >= 4.13.1_04-lp152.2.3.1
  • xen-tools >= 4.13.1_04-lp152.2.3.1
  • xen-tools-debuginfo >= 4.13.1_04-lp152.2.3.1
  • xen-tools-domU >= 4.13.1_04-lp152.2.3.1
  • xen-tools-domU-debuginfo >= 4.13.1_04-lp152.2.3.1
  • xen-tools-xendomains-wait-disk >= 4.13.1_04-lp152.2.3.1
Patchnames:
openSUSE-2020-985


Status of this issue by product and package

Please note that this evaluation state might be work in progress, incomplete or outdated. Also information for service packs in the LTSS phase is only included for issues meeting the LTSS criteria. If in doubt, feel free to contact us for clarification.

Product(s) Source package State
SUSE CaaS Platform 3.0 xen Affected
SUSE Container as a Service Platform 1.0 xen Affected
SUSE Container as a Service Platform 2.0 xen Affected
SUSE Linux Enterprise 15-SP1 Module for Basesystem xen Released
SUSE Linux Enterprise 15-SP1 Module for Server Applications xen Released
SUSE Linux Enterprise 15-SP2 Module for Basesystem xen Released
SUSE Linux Enterprise 15-SP2 Module for Server Applications xen Released
SUSE Linux Enterprise High Performance Computing 12 SP4 xen Affected
SUSE Linux Enterprise High Performance Computing 12 SP5 xen Released
SUSE Linux Enterprise High Performance Computing 15 LTSS xen Released
SUSE Linux Enterprise Server 11 SP1 xen Affected
SUSE Linux Enterprise Server 11 SP3 xen Affected
SUSE Linux Enterprise Server 11 SP4 LTSS xen Affected
SUSE Linux Enterprise Server 12 SP2 BCL xen Affected
SUSE Linux Enterprise Server 12 SP2 LTSS xen Affected
SUSE Linux Enterprise Server 12 SP3 BCL xen Released
SUSE Linux Enterprise Server 12 SP3 LTSS xen Released
SUSE Linux Enterprise Server 12 SP4 xen Affected
SUSE Linux Enterprise Server 12 SP4 LTSS xen Released
SUSE Linux Enterprise Server 12 SP5 xen Released
SUSE Linux Enterprise Server ESPOS 15 xen Released
SUSE Linux Enterprise Server for SAP Applications 12 SP2 xen Affected
SUSE Linux Enterprise Server for SAP Applications 12 SP3 xen Released
SUSE Linux Enterprise Server for SAP Applications 12 SP4 xen Released
SUSE Linux Enterprise Server for SAP Applications 12 SP5 xen Released
SUSE Linux Enterprise Software Development Kit 12 SP4 xen Affected
SUSE Linux Enterprise Software Development Kit 12 SP5 xen Released